# CSInMemoryStore Class Reference

# CSInMemoryStore

    @objc
    public final class CSInMemoryStore : NSObject, CSStorageInterface, CoreStoreObjectiveCType

The `CSInMemoryStore` serves as the Objective-C bridging type for `InMemoryStore`.

See also

`InMemoryStore`

- `init(configuration:)`

  Initializes a `CSInMemoryStore` for the specified configuration

  #### Declaration

  Swift

      @objc
      public convenience init(configuration: ModelConfiguration)

  #### Parameters

  `configuration` | an optional configuration name from the model file. If not specified, defaults to `nil`, the Default configuration.

- `init()`

  Initializes a `CSInMemoryStore` with the Default configuration

  #### Declaration

  Swift

      @objc
      public convenience override init()

### StorageInterface

- `storeType`

  The string identifier for the `NSPersistentStore`‘s `type` property. For `CSInMemoryStore`s, this is always set to `NSInMemoryStoreType`.

  #### Declaration

  Swift

      @objc
      public static let storeType: String

- `configuration`

  The configuration name in the model file

  #### Declaration

  Swift

      @objc
      public var configuration: ModelConfiguration { get }

- `storeOptions`

  The options dictionary for the `NSPersistentStore`. For `CSInMemoryStore`s, this is always set to `nil`.

  #### Declaration

  Swift

      @objc
      public var storeOptions: [AnyHashable : Any]? { get }

### CoreStoreObjectiveCType

- `bridgeToSwift`

  #### Declaration

  Swift

      public let bridgeToSwift: InMemoryStore

- `init(_:)`

  #### Declaration

  Swift

      public required init(_ swiftValue: InMemoryStore)